<?php

define('_IN_JOHNCMS', 1);

$headmod = 'users';
require_once("../incfiles/core.php");
$textl = '' . $copyright . ' - Пользователи';
require_once("../incfiles/head.php");

echo '<div class="phdr"><b>Список пользователей</b></div>';
echo '<div class="phdr"><a href="' . $home . '/users.html">Все</a> | <a href="' . $home . '/users_boys.html">Парни</a> | <a href="' . $home . '/users_girls.html">Девушки</a> | <a href="' . $home . '/users_birsd.html">Именин.</a> | Админ.</div>';
// Супервайзоры
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '9'");
if (mysql_num_rows($req)) {
    echo '<div class="bmenu">Гл. Администраторы</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($sw % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$sw;
    }
}
// Администраторы
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '7'");
if (mysql_num_rows($req)) {
    $i = 0;
    echo '<div class="bmenu">Администраторы</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($adm % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$adm;
    }
}
// Старшие Модераторы
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '6'");
if (mysql_num_rows($req)) {
    $i = 0;
    echo '<div class="bmenu">Старшие Модераторы</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($smd % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$smd;
    }
}
// Модераторы Библиотеки
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '5'");
if (mysql_num_rows($req)) {
    $i = 0;
    echo '<div class="bmenu">Модераторы Библиотеки</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($lmod % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$lmod;
    }
}
// Модераторы Загрузок
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '4'");
if (mysql_num_rows($req)) {
    $i = 0;
    echo '<div class="bmenu">Модераторы Загрузок</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($dmod % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$dmod;
    }
}
// Модераторы Форума
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '3'");
if (mysql_num_rows($req)) {
    $i = 0;
    echo '<div class="bmenu">Модераторы Форума</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($fmod % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$fmod;
    }
}
// Модераторы Чата
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '2'");
if (mysql_num_rows($req)) {
    $i = 0;
    echo '<div class="bmenu">Модераторы Чата</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($cmod % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$cmod;
    }
}
// Киллеры
$req = mysql_query("SELECT * FROM `users` WHERE `rights` = '1'");
if (mysql_num_rows($req)) {
    $i = 0;
    echo '<div class="bmenu">Киллеры</div>';
    while ($res = mysql_fetch_assoc($req)) {
        echo ($kil % 2) ? '<div class="list2">' : '<div class="list1">';
        echo show_user($res, 1) . '</div>';
        ++$kil;
    }
}
echo '<div class="phdr">Всего: ' . ($sw + $adm + $smd + $lmod + $dmod + $fmod + $cmod + $kil) . '</div>';
echo '<img src="' . $home . '/images/act3.gif" width="7" height="10" alt="-" /> <a href="' . $home . '/str/users_search.php">Поиск пользователя</a><br />';

require_once("../incfiles/end.php");

?>